classification
Title: Make __future__.annotations default 3.10 in What's New 3.7
Type: Stage: patch review
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: YoSTEALTH, cool-RR, docs@python, lukasz.langa, miss-islington, ned.deily, rhettinger
Priority: normal Keywords: patch

Created on 2020-08-04 14:36 by cool-RR, last changed 2020-08-12 10:38 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 21733 merged cool-RR, 2020-08-04 14:38
PR 21832 merged miss-islington, 2020-08-11 16:33
PR 21833 merged miss-islington, 2020-08-11 16:33
PR 21835 merged miss-islington, 2020-08-11 22:21
Messages (11)
msg374814 - (view) Author: Ram Rachum (cool-RR) * Date: 2020-08-04 14:36
Writing the patch now.
msg374833 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-08-04 17:31
$ python3.9
Python 3.9.0b4 (v3.9.0b4:69dec9c8d2, Jul  2 2020, 18:41:53)
[Clang 6.0 (clang-600.0.57)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> from __future__ import annotations
>>> annotations
_Feature((3, 7, 0, 'beta', 1), (4, 0, 0, 'alpha', 0), 16777216)
msg374839 - (view) Author: Ram Rachum (cool-RR) * Date: 2020-08-04 18:54
If you'd like me to patch that too, let me know. Also, I'll need a decision on whether it should be on a separate PR and if so, to which versions it should be backported.
msg374849 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-08-04 22:57
Keep it focused one place — there's no benefit to multiple tracker entries and/or multiple PRs.  Do look to see all the places that would be need to be updated.  Also, let Łukasz reply — this was his PEP.

Also, I'm not sure that we're backporting anything to 3.7 at this point.
msg374885 - (view) Author: (YoSTEALTH) * Date: 2020-08-05 14:25
@rhettinger https://bugs.python.org/issue41314
msg374886 - (view) Author: Ram Rachum (cool-RR) * Date: 2020-08-05 14:30
Thanks for linking that, YoStealth. Unless I'm missing anything, it looks like there's agreement that the right answer is 3.10, and my PR fixes a spot which was omitted in the PR from the previous issues. Agreed?
msg374887 - (view) Author: (YoSTEALTH) * Date: 2020-08-05 14:39
@cool-RR since your patch focuses on ``3.7`` there might be a merge issue.

There might be other place where ``4.0`` is mentioned though. Its better to let core dev like Raymond make the call.
msg375185 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-08-11 16:33
New changeset 76643c10ede2813ca921464fe839e81caee21a84 by Ram Rachum in branch 'master':
bpo-41475: Fix note in "What's new in 3.7" (#21733)
https://github.com/python/cpython/commit/76643c10ede2813ca921464fe839e81caee21a84
msg375187 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-08-11 17:03
New changeset 5de00f63d47b5aa1714ad2d88772ad55b10feea0 by Miss Islington (bot) in branch '3.9':
bpo-41475: Fix note in "What's new in 3.7" (GH-21733) (#21832)
https://github.com/python/cpython/commit/5de00f63d47b5aa1714ad2d88772ad55b10feea0
msg375220 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-08-12 10:36
New changeset a8ad127c222456e614b59990f113e93e95593155 by Miss Islington (bot) in branch '3.7':
bpo-41475: Fix note in "What's new in 3.7" (GH-21733) (GH-21835)
https://github.com/python/cpython/commit/a8ad127c222456e614b59990f113e93e95593155
msg375221 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-08-12 10:38
New changeset 622d90f65ca9f0a6ddf255a727de003b92dca01d by Miss Islington (bot) in branch '3.8':
bpo-41475: Fix note in "What's new in 3.7" (GH-21733) (GH-21833)
https://github.com/python/cpython/commit/622d90f65ca9f0a6ddf255a727de003b92dca01d
History
Date User Action Args
2020-08-12 10:38:41ned.deilysetmessages: + msg375221
2020-08-12 10:36:24ned.deilysetnosy: + ned.deily
messages: + msg375220
2020-08-11 22:21:11miss-islingtonsetpull_requests: + pull_request20963
2020-08-11 17:03:28lukasz.langasetmessages: + msg375187
2020-08-11 16:33:49miss-islingtonsetpull_requests: + pull_request20962
2020-08-11 16:33:41miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20961
2020-08-11 16:33:29lukasz.langasetmessages: + msg375185
2020-08-11 14:29:55terry.reedysettitle: __future__.annotations set to become default in Python 4.0? -> Make __future__.annotations default 3.10 in What's New 3.7
versions: - Python 3.7
2020-08-05 14:39:04YoSTEALTHsetmessages: + msg374887
2020-08-05 14:30:56cool-RRsetmessages: + msg374886
2020-08-05 14:25:28YoSTEALTHsetnosy: + YoSTEALTH
messages: + msg374885
2020-08-04 22:57:38rhettingersetmessages: + msg374849
2020-08-04 18:54:18cool-RRsetmessages: + msg374839
2020-08-04 17:31:05rhettingersettitle: Fix mistake in "What's new in Python 3.7" -> __future__.annotations set to become default in Python 4.0?
nosy: + rhettinger, lukasz.langa

messages: + msg374833

type: crash ->
2020-08-04 14:40:24cool-RRsettype: crash
versions: + Python 3.8, Python 3.9, Python 3.10
2020-08-04 14:38:39cool-RRsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20878
2020-08-04 14:36:38cool-RRcreate